
QGIS Application - Bug report #359

Imposible to open a QGIS project

2006-10-25 12:31 PM - fcanovas-um-es -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10418

Description

Dear developments:

I'm a Macintosh user (Mac OS X 10.4 Tiger).

I can't open a QGIS project. I always get the same message, in version 0.7.4 and version 0.8 pre2. The whole message is as follow.

Thank you for your software and you help.

Dr. Fernando Cánovas García

Department of Zoology and Physic Anthropology

Date/Time:      2006-10-25 19:57:22.971 +0100

OS Version:     10.4.8 (Build 8L2127)

Report Version: 4

Command: qgis

Path:    /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/qgis

Parent:  [[WindowServer]] r55

Version: 0.8.0 (5824) (0.8.0-Preview-2)

PID:    987

Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)

Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000070

Thread 0 Crashed:

0   [[QtGui]]                              0x0100cc26 QAction::setEnabled(bool) + 32

1   grassplugin.so                     0x16c745f0 [[QgsGrassPlugin]]::setEditAction() + 80

2   grassplugin.so                     0x16d59538 [[QgsGrassPlugin]]::qt_metacall(QMetaObject::Call, int, void**) + 200

3   [[QtCore]]                             0x00627955 QMetaObject::activate(QObject*, int, int, void**) + 1253

4   libqgis_gui.0.dylib                0x01721109 [[QgisIface]]::currentLayerChanged(QgsMapLayer*) + 61

5   libqgis_gui.0.dylib                0x01721182 [[QgisIface]]::qt_metacall(QMetaObject::Call, int, void**) + 114

6   [[QtCore]]                             0x00627955 QMetaObject::activate(QObject*, int, int, void**) + 1253

7   libqgis_legend.0.dylib             0x015102bf [[QgsLegend]]::currentLayerChanged(QgsMapLayer*) + 61

8   libqgis_legend.0.dylib             0x0151043a [[QgsLegend]]::qt_metacall(QMetaObject::Call, int, void**) + 304

9   [[QtCore]]                             0x00627955 QMetaObject::activate(QObject*, int, int, void**) + 1253

10  [[QtGui]]                              0x0127462c QTreeWidget::mimeData(QList<QTreeWidgetItem*>) const + 364
11  [[QtGui]]                              0x01274d0e QTreeWidget::qt_metacall(QMetaObject::Call, int, void**) + 1046

12  libqgis_legend.0.dylib             0x01510338 [[QgsLegend]]::qt_metacall(QMetaObject::Call, int, void**) + 46

13  [[QtCore]]                             0x00627955 QMetaObject::activate(QObject*, int, int, void**) + 1253

14  [[QtGui]]                              0x01260756 QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>) + 260

15  [[QtGui]]                              0x012356ae QAbstractItemView::setCurrentIndex(QModelIndex const&) + 86

16  [[QtGui]]                              0x012702af QTreeWidget::setCurrentItem(QTreeWidgetItem*, int) + 73

17  [[QtGui]]                              0x01270312 QTreeWidget::setCurrentItem(QTreeWidgetItem*) + 32

18  libqgis_legend.0.dylib             0x01509d6a [[QgsLegend]]::addLayer(QgsMapLayer*) + 1000

19  libqgis_legend.0.dylib             0x015105bb [[QgsLegend]]::qt_metacall(QMetaObject::Call, int, void**) + 689

20  [[QtCore]]                             0x00627955 QMetaObject::activate(QObject*, int, int, void**) + 1253

21  libqgis_gui.0.dylib                0x01724309 [[QgsMapLayerRegistry]]::layerWasAdded(QgsMapLayer*) + 61

22  libqgis_gui.0.dylib                0x01678a3d [[QgsMapLayerRegistry]]::addMapLayer(QgsMapLayer*, bool) + 393

23  libqgis_gui.0.dylib                0x016a0e43 [[QgsProject]]::~QgsProject [in-charge]() + 3429

24  libqgis_gui.0.dylib                0x016a7e7c [[QgsProject]]::read() + 1976

25  libqgis_gui.0.dylib                0x016269da [[QgisApp]]::fileOpen() + 1184

26  libqgis_gui.0.dylib                0x0172004e [[QgisApp]]::qt_metacall(QMetaObject::Call, int, void**) + 2126

27  [[QtCore]]                             0x00627955 QMetaObject::activate(QObject*, int, int, void**) + 1253

28  [[QtGui]]                              0x0100dd62 QAction::activate(QAction::ActionEvent) + 212

29  [[QtGui]]                              0x0120de2a QMenuBar::macUpdateMenuBar() + 1160

30  [[QtGui]]                              0x0120e099 QMenuBar::macUpdateMenuBar() + 1783

31  com.apple.HIToolbox                0x92dcc7eb [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 1093

32  com.apple.HIToolbox                0x92dcbe90 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

33  com.apple.HIToolbox                0x92dd30f0 [[SendEventToEventTarget]] + 56

34  com.apple.HIToolbox                0x92e53655 [[SendHICommandEvent]](unsigned long, HICommand const*, unsigned long, unsigned

long, unsigned char, [[OpaqueEventTargetRef]]*, [[OpaqueEventTargetRef]]*, [[OpaqueEventRef]]**) + 405

35  com.apple.HIToolbox                0x92e8725e [[ProcessHICommandWithContextAndModifiers]] + 60

36  com.apple.HIToolbox                0x92e87214 [[SendMenuItemSelectedEvent]] + 128

37  com.apple.HIToolbox                0x92e87128 [[FinishMenuSelection]](MenuData*, [[MenuData]]*, [[MenuResult]]*, [[MenuResult]]*,

unsigned long, unsigned long, unsigned long, unsigned char) + 122

38  com.apple.HIToolbox                0x92e6c033 [[MenuSelectCore]](MenuData*, Point, double, unsigned long, [[OpaqueMenuRef]]**,

unsigned short*) + 515

39  com.apple.HIToolbox                0x92e6baf4 [[MenuSelect]] + 100

40  [[QtGui]]                              0x01047af2 QApplicationPrivate::do_mouse_down(QPoint const&, bool*) + 274

41  [[QtGui]]                              0x01049913 QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*,

[[OpaqueEventRef]]*, void*) + 5745

42  com.apple.HIToolbox                0x92dcc7eb [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 1093

43  com.apple.HIToolbox                0x92dcbe90 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

44  com.apple.HIToolbox                0x92dd30f0 [[SendEventToEventTarget]] + 56

45  com.apple.HIToolbox                0x92dd3b12 [[ToolboxEventDispatcherHandler]](OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 2586

46  com.apple.HIToolbox                0x92dccba2 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 2044

47  com.apple.HIToolbox                0x92dcbe90 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

48  com.apple.HIToolbox                0x92dd30f0 [[SendEventToEventTarget]] + 56

49  [[QtGui]]                              0x01042bee QApplication::restoreOverrideCursor() + 304

50  [[QtGui]]                              0x0104e823 QCursor::handle() const + 3259

51  [[QtCore]]                             0x0061bb75 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 55
52  [[QtCore]]                             0x0061bdbe QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 146

53  [[QtCore]]                             0x0061f171 QCoreApplication::exec() + 179

54  org.qgis.qgis                      0x00005329 main + 5985

55  org.qgis.qgis                      0x00002c3e start + 258

56  org.qgis.qgis                      0x00002b65 start + 41

Thread 1:

0   libSystem.B.dylib                  0x900268bc kevent + 12

1   ...ple.CoreServices.CarbonCore     0x90cb2f84 [[PrivateMPEntryPoint]] + 51

2   libSystem.B.dylib                  0x90023d87 _pthread_body + 84

Thread 2:

0   libSystem.B.dylib                  0x90024427 semaphore_wait_signal_trap + 7

1   ...ple.CoreServices.CarbonCore     0x90cb3129 MPWaitOnQueue + 198

2   com.apple.DesktopServices          0x9251af3f TNodeSyncTask::SyncTaskProc(void*) + 143

3   ...ple.CoreServices.CarbonCore     0x90cb2f84 [[PrivateMPEntryPoint]] + 51

4   libSystem.B.dylib                  0x90023d87 _pthread_body + 84

Thread 3:

0   libSystem.B.dylib                  0x90019d3c select + 12

1   [[QtCore]]                             0x005b6897 QThreadStorageData::~QThreadStorageData [not-in-charge]() + 1249

2   libSystem.B.dylib                  0x90023d87 _pthread_body + 84

Thread 4:

0   libSystem.B.dylib                  0x90019d3c select + 12

1   libSystem.B.dylib                  0x90023d87 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):

  eax: 0x00000000    ebx: 0x0100cc14 ecx: 0x00000006 edx: 0xbfffc13c

  edi: 0x00000000    esi: 0x00000000 ebp: 0xbfffc198 esp: 0xbfffc160

   ss: 0x0000001f    efl: 0x00010286 eip: 0x0100cc26  cs: 0x00000017

   ds: 0x0000001f     es: 0x0000001f  fs: 0x00000000  gs: 0x00000037

Binary Images Description:

    0x1000 -     0x7fff org.qgis.qgis 0.8.0 (5824) (0.8.0-Preview-2)   

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/qgis

   0x52000 -    0x88fff [[QtNetwork]]    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/QtNetwork.framework/Versions/4.0/QtNetwork

   0xa4000 -    0xd0fff [[QtXml]]    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/QtXml.framework/Versions/4.0/QtXml

   0xe9000 -    0xf4fff libqgsprojectionselector.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/libqgsprojectionselector.dylib

  0x205000 -   0x20afff libgif.4.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libgif.4.dylib

  0x2d8000 -   0x4a2fff Qt3Support    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/Qt3Support.framework/Versions/4.0/Qt3Support

  0x5b0000 -   0x710fff [[QtCore]]    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/QtCore.framework/Versions/4.0/QtCore

  0x77c000 -   0x7a4fff [[QtSvg]]    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/QtSvg.framework/Versions/4.0/QtSvg

  0x7b6000 -   0x7dffff libqgis_raster.0.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libqgis_raster.0.dylib

 0x1008000 -  0x1374fff [[QtGui]]    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/QtGui.framework/Versions/4.0/QtGui
 0x1500000 -  0x151dfff libqgis_legend.0.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libqgis_legend.0.dylib

 0x1534000 -  0x157bfff libqgis_composer.0.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libqgis_composer.0.dylib

 0x15a6000 -  0x15e6fff libproj.0.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libproj.0.dylib

 0x15f3000 -  0x17c7fff libqgis_gui.0.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libqgis_gui.0.dylib

 0x189d000 -  0x18e5fff libqgis_core.0.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libqgis_core.0.dylib

 0x1916000 -  0x19e9fff libQtDesigner.4.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libQtDesigner.4.dylib

 0x1a98000 -  0x1aa5fff libQtTest.4.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libQtTest.4.dylib

 0x1aac000 -  0x1d2ffff libgdal.1.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libgdal.1.dylib

 0x1e9b000 -  0x20fffff libxerces-c.27.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libxerces-c.27.dylib

 0x236f000 -  0x246ffff libjasper-1.701.1.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libjasper-1.701.1.dylib

 0x261d000 -  0x2635fff libgeotiff.1.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libgeotiff.1.dylib

 0x2643000 -  0x268cfff libtiff.3.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libtiff.3.dylib

 0x2694000 -  0x26b5fff libjpeg.62.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libjpeg.62.dylib

 0x26bb000 -  0x26f3fff libpng.3.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libpng.3.dylib

 0x26fb000 -  0x2715fff libpq.4.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libpq.4.dylib

 0x271d000 -  0x27b0fff libgeos.2.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libgeos.2.dylib

 0x2844000 -  0x289afff libsqlite3.0.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libsqlite3.0.dylib

 0x28a6000 -  0x28c6fff [[QtSql]]    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/QtSql.framework/Versions/4.0/QtSql

0x15c05000 - 0x15c0bfff libqjpeg.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/imageformats/libqjpeg.dylib

0x16319000 - 0x1631efff ogr_GRASS.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/gdalplugins/ogr_GRASS.so

0x16325000 - 0x16325fff libgrass_linkm.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_linkm.dylib

0x16640000 - 0x1664bfff libgrass_I.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_I.dylib

0x16652000 - 0x16654fff libgrass_vask.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_vask.dylib

0x16659000 - 0x1665cfff libgrass_gmath.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_gmath.dylib

0x16660000 - 0x16698fff libgrass_gis.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_gis.dylib

0x166e4000 - 0x166e8fff libgrass_datetime.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_datetime.dylib

0x166ed000 - 0x166f2fff libgrass_gproj.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_gproj.dylib

0x166f6000 - 0x166fcfff libgrass_dbmibase.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_dbmibase.dylib

0x16704000 - 0x16707fff libgrass_dbmiclient.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_dbmiclient.dylib

0x1670d000 - 0x16719fff libgrass_dig2.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_dig2.dylib

0x1671f000 - 0x16720fff libgrass_form.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_form.dylib

0x16808000 - 0x1682dfff libgrass_vect.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_vect.dylib

0x16838000 - 0x16846fff libgrass_dgl.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_dgl.dylib

0x1684d000 - 0x16850fff libgrass_rtree.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_rtree.dylib
0x16865000 - 0x16889fff copyrightlabelplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/copyrightlabelplugin.so

0x16892000 - 0x168c5fff delimitedtextplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/delimitedtextplugin.so

0x168cf000 - 0x168dcfff delimitedtextprovider.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/delimitedtextprovider.so

0x168e6000 - 0x16903fff georefplugin.so     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/georefplugin.so

0x16915000 - 0x16addfff libgsl.0.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libgsl.0.dylib

0x16b28000 - 0x16b75fff libgslcblas.0.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libgslcblas.0.dylib

0x16b7c000 - 0x16c06fff gpsimporterplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/gpsimporterplugin.so

0x16c1b000 - 0x16c35fff gpxprovider.so     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/gpxprovider.so

0x16c45000 - 0x16c6bfff libexpat.1.dylib     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libexpat.1.dylib

0x16c72000 - 0x16d91fff grassplugin.so     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/grassplugin.so

0x16e00000 - 0x16e21fff libqgisgrass.0.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/libqgisgrass.0.dylib

0x16e34000 - 0x16e39fff libgrass_shape.dylib    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/grass/libgrass_shape.dylib

0x16e3d000 - 0x16e3efff grassprovider.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/grassprovider.so

0x16e42000 - 0x16e66fff gridmakerplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/gridmakerplugin.so

0x16e71000 - 0x16e9efff libScaleBarplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/libScaleBarplugin.so

0x16ea9000 - 0x16ed0fff northarrowplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/northarrowplugin.so

0x16edb000 - 0x16ee9fff ogrprovider.so     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/ogrprovider.so

0x16ef3000 - 0x16f03fff pggeoprocessingplugin.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/pggeoprocessingplugin.so

0x16f0e000 - 0x16f3ffff postgresprovider.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/postgresprovider.so

0x16f54000 - 0x16fa4fff spitplugin.so     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/spitplugin.so

0x16fbd000 - 0x16feafff wmsprovider.so     /Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/qgis/wmsprovider.so

0x177a0000 - 0x177a3fff gdal_GRASS.so    

/Volumes/qgis-0.8.0pre2/qgis-0.8.0pre2/qgis.app/Contents/MacOS/lib/gdalplugins/gdal_GRASS.so

0x8fe00000 - 0x8fe49fff dyld 46.9    /usr/lib/dyld

0x90000000 - 0x9016ffff libSystem.B.dylib     /usr/lib/libSystem.B.dylib

0x901bf000 - 0x901c1fff libmathCommon.A.dylib     /usr/lib/system/libmathCommon.A.dylib

0x901c3000 - 0x901fffff com.apple.CoreText 1.1.1 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText

0x90226000 - 0x902fbfff ATS    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x9031b000 - 0x9076ffff com.apple.CoreGraphics 1.258.38 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

s

0x90806000 - 0x908cefff com.apple.CoreFoundation 6.4.6 (368.27)   

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x9090c000 - 0x9090cfff com.apple.CoreServices 10.4 (?)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x9090e000 - 0x90a01fff libicucore.A.dylib     /usr/lib/libicucore.A.dylib

0x90a51000 - 0x90ad0fff libobjc.A.dylib     /usr/lib/libobjc.A.dylib

0x90af9000 - 0x90b5dfff libstdc++.6.dylib     /usr/lib/libstdc++.6.dylib

0x90bcc000 - 0x90bd3fff libgcc_s.1.dylib     /usr/lib/libgcc_s.1.dylib
0x90bd8000 - 0x90c4bfff com.apple.framework.IOKit 1.4.6 (?)    /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x90c60000 - 0x90c72fff libauto.dylib     /usr/lib/libauto.dylib

0x90c78000 - 0x90f1efff com.apple.CoreServices.CarbonCore 682.15   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x90f61000 - 0x90fc9fff com.apple.CoreServices.OSServices 4.1   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x91001000 - 0x9103ffff com.apple.CFNetwork 129.18   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x91052000 - 0x91062fff com.apple.WebServices 1.1.3 (1.1.0)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore

ore

0x9106d000 - 0x910ebfff com.apple.SearchKit 1.0.5   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x91120000 - 0x9113efff com.apple.Metadata 10.4.4 (121.36)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x9114a000 - 0x91158fff libz.1.dylib     /usr/lib/libz.1.dylib

0x9115b000 - 0x912fafff com.apple.security 4.5.1 (29002)    /System/Library/Frameworks/Security.framework/Versions/A/Security

0x913f8000 - 0x91400fff com.apple.DiskArbitration 2.1.1   

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x91407000 - 0x9142dfff com.apple.SystemConfiguration 1.8.6   

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x9143f000 - 0x91446fff libbsm.dylib     /usr/lib/libbsm.dylib

0x9144a000 - 0x914c3fff com.apple.audio.CoreAudio 3.0.4    /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x91511000 - 0x91511fff com.apple.ApplicationServices 10.4 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x91513000 - 0x9153efff com.apple.AE 314 (313)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x91551000 - 0x91625fff com.apple.ColorSync 4.4.8   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync

0x91660000 - 0x916ddfff com.apple.print.framework.PrintCore 4.6 (177.13)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x9170a000 - 0x917b3fff com.apple.QD 3.10.21 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x917d9000 - 0x91824fff com.apple.HIServices 1.5.2 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices

0x91843000 - 0x91859fff com.apple.LangAnalysis 1.6.3   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

0x91865000 - 0x9187ffff com.apple.FindByContent 1.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent

ent

0x91889000 - 0x918c6fff com.apple.LaunchServices 181   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices

vices

0x918da000 - 0x918e6fff com.apple.speech.synthesis.framework 3.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis

ynthesis

0x918ed000 - 0x91928fff com.apple.ImageIO.framework 1.5.0   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO

0x9193a000 - 0x919ecfff libcrypto.0.9.7.dylib     /usr/lib/libcrypto.0.9.7.dylib

0x91a32000 - 0x91a48fff libcups.2.dylib     /usr/lib/libcups.2.dylib

0x91a4d000 - 0x91a6bfff libJPEG.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib

G.dylib
0x91a70000 - 0x91acefff libJP2.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib

dylib

0x91ae0000 - 0x91ae4fff libGIF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

dylib

0x91ae6000 - 0x91b63fff libRaw.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib

.dylib

0x91b67000 - 0x91ba4fff libTIFF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib

.dylib

0x91baa000 - 0x91bc4fff libPng.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib

dylib

0x91bc9000 - 0x91bcbfff libRadiance.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib

iance.dylib

0x91bcd000 - 0x91bcdfff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x91bcf000 - 0x91c5dfff com.apple.vImage 2.5   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage

0x91c64000 - 0x91c64fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x91c66000 - 0x91cbffff libvMisc.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x91cc8000 - 0x91cecfff libvDSP.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x91cf4000 - 0x920fdfff libBLAS.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x92137000 - 0x924ebfff libLAPACK.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x92518000 - 0x9259cfff com.apple.DesktopServices 1.3.4   

/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x925d8000 - 0x92808fff com.apple.Foundation 6.4.7 (567.28)   

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x92914000 - 0x929f2fff libxml2.2.dylib     /usr/lib/libxml2.2.dylib

0x92a0f000 - 0x92afcfff libiconv.2.dylib     /usr/lib/libiconv.2.dylib

0x92b9a000 - 0x92b9afff com.apple.Carbon 10.4 (?)    /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x92b9c000 - 0x92bacfff com.apple.ImageCapture 3.0.4   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x92bba000 - 0x92bc2fff com.apple.speech.recognition.framework 3.6   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

0x92bc8000 - 0x92bcdfff com.apple.securityhi 2.0.1 (24742)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI

0x92bd3000 - 0x92c64fff com.apple.ink.framework 101.2.1 (71)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x92c78000 - 0x92c7bfff com.apple.help 1.0.3 (32.1)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x92c7e000 - 0x92c9bfff com.apple.openscripting 1.2.5 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x92cab000 - 0x92cb1fff com.apple.print.framework.Print 5.1 (192.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cb7000 - 0x92d1afff com.apple.htmlrendering 66.1 (1.1.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering

0x92d3e000 - 0x92d7ffff com.apple.NavigationServices 3.4.4 (3.4.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices

0x92da6000 - 0x92db3fff com.apple.audio.SoundManager 3.9.1   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound

0x92dba000 - 0x92dbffff com.apple.CommonPanels 1.2.3 (73)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x92dc4000 - 0x930b6fff com.apple.HIToolbox 1.4.8 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x93d42000 - 0x93e03fff com.apple.audio.toolbox.AudioToolbox 1.4.3   

/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x93e43000 - 0x93e43fff com.apple.audio.units.AudioUnit 1.4.2   

/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x94271000 - 0x94280fff libCGATS.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib

CGATS.A.dylib

0x94287000 - 0x94292fff libCSync.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib

CSync.A.dylib

0x942de000 - 0x942f8fff libRIP.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

RIP.A.dylib

0x942fe000 - 0x945b7fff com.apple.QuickTime 7.1.3    /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime

0x94945000 - 0x94969fff libssl.0.9.7.dylib     /usr/lib/libssl.0.9.7.dylib

0x94975000 - 0x94992fff libresolv.9.dylib     /usr/lib/libresolv.9.dylib

0x94b3d000 - 0x94c15fff edu.mit.Kerberos 5.5.23    /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x95f84000 - 0x95fb2fff libncurses.5.4.dylib     /usr/lib/libncurses.5.4.dylib

0x95fe0000 - 0x95ff6fff libJapaneseConverter.dylib     /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib

0x95ff8000 - 0x96019fff libKoreanConverter.dylib     /System/Library/CoreServices/Encodings/libKoreanConverter.dylib

0x96026000 - 0x96034fff libSimplifiedChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib

0x9603c000 - 0x9604efff libTraditionalChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib

0x97d5d000 - 0x97e00fff org.python.python 2.3.5    /System/Library/Frameworks/Python.framework/Versions/2.3/Python

0x9a4a5000 - 0x9a4b4fff libICE.6.dylib     /usr/X11R6/lib/libICE.6.dylib

0x9a4b9000 - 0x9a4bdfff libSM.6.dylib     /usr/X11R6/lib/libSM.6.dylib

0x9b299000 - 0x9b356fff libX11.6.dylib     /usr/X11R6/lib/libX11.6.dylib

History

#1 - 2006-11-26 12:52 PM - Gary Sherman

Does this happen with a simple project with one shapefile? Or is it only in projects with GRASS layers loaded?

Please attach a project file so we can examine it.

#2 - 2006-12-13 10:55 PM - Gary Sherman

This bug will be closed if further information isn't provided. Current version of QGIS (latest build) is able to open project files.
#3 - 2006-12-18 11:20 PM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

I confirm that it's working. I wrote directly to the reporter of the bug, but got no reply. I thnk we can safely assume the bug is gone

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
